@echo off
goto :start
rem  Invoke the filterXSDDK process for one of the demo documents

rem %%1 = "strict" or "permitted"
rem %%2 = XSD directory "common" or "maindoc"
rem %%3 = XSD component, e.g. "Invoice", "CommonAggregateComponents"
rem %%4 = XLS/ODS filename base
rem %%5 = XLS/ODS filename extension
rem %%6 = Spreadsheet component, e.g. "Invoice", "Library"
rem %%7 = target directory
rem %%8 = regex prefix

:start
if exist error.txt del error.txt

if not exist %UBL2xsd%common\UBL-CommonExtensionComponents-2.0.xsd goto :missingUBL

call %~dp0\..\utility\filterXSDDK %1 %cd%/%4 %5 "%UBL2xsd%%2\UBL-%3-2.0.xsd" "%7\%2\UBL-%3-2.0.xsd" %6 "%cd%\WorkInvoice" "%cd%\DemoCopyright.txt" "%8" "urn:x-demo:demonstration" "%cd%\error.txt"

type error.txt
goto :done

:missingUBL
echo Problem finding the installed UBL 2.0 files at: %%UBL2xsd%%=%UBL2xsd%
goto :done

:done