@echo off

set UBL2xsd=u:\cd\artefacts\os-UBL-2.0\xsd\
set UBL2xsdDate=%date% %time%

goto :start
rem  Invoke the filterXSDDK process for the demo invoice

rem  Note that the three "set" commands at the start of the filterXSDDK
rem  script must be modified to your environment

:start
if not exist %UBL2xsd%common\UBL-CommonExtensionComponents-2.0.xsd goto :missingUBL

if exist errorall .txt del errorall.txt

call %~dp0makesetxsd Demo1 strict
call %~dp0makesetxsd Demo2 permitted
goto :done

:missingUBL
echo Problem finding the installed UBL 2.0 files at: %%UBL2xsd%%=%UBL2xsd%
goto :done

:done
